unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, TeEngine, Series, TeeProcs, Chart, ExtCtrls, StdCtrls, Clipbrd;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Panel1: TPanel;
    Chart1: TChart;
    Label1: TLabel;
    Button2: TButton;
    Series1: TLineSeries;
    ComboBox1: TComboBox;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
var
  a, b : HDC;
  sx, sy : integer;
  mybmp : TBitmap;
  myimage: TImage;
  MyFormat : Word;
  AData : THandle;
  APalette : HPALETTE;
begin

  case ComboBox1.ItemIndex of
    0:
      begin
        a := GetDC(Chart1.Handle);
        sx := Chart1.Width;
        sy := Chart1.Height;
      end;
    1:
      begin;
        a := GetDC(Panel1.Handle);
        sx := Panel1.Width;
        sy := Panel1.Height;
      end;
    else
      begin
        ShowMessage('Please select source to capture from!');
        ComboBox1.SetFocus;
        exit;
      end;
  end;

  mybmp:= TBitmap.Create;
  myimage:= TImage.Create(self);

  myimage.Width := sx;
  myimage.Height := sy;
  b := myimage.Canvas.Handle;
  BitBlt(b, 0, 0, sx, sy, a, 0, 0, SRCCOPY);
  mybmp.Canvas.Draw(0, 0, myimage.Picture.Bitmap);
  mybmp.Assign(myimage.Picture.Bitmap);
  // if you want to save this picture , use this code!!
  //mybmp.SaveToFile('c:\1.bmp');
  mybmp.SaveToClipBoardFormat(MyFormat,AData,APalette);
  Clipboard.SetAsHandle(MyFormat,AData);
  myimage.Free;
  mybmp.Free;           
end;

procedure TForm1.Button2Click(Sender: TObject);
var
  i: integer;
begin
  Chart1.Series[0].Clear;
  for i:=0 to 20 do
  begin
    Chart1.Series[0].AddXY(i,Random(20));
  end;
end;

end.
